#include<iostream>
using namespace std;

int main()
{
    int n,k;
    cin >> n >> k;
    int arr[n];
    for(int i=0;i<n;i++) cin >> arr[i];

    if(arr[n-1]==k)
    {
        cout << arr[0];
    } else {
        int pos;
        for(int i = 0; i < n-1; i++)
        {
            if(arr[i] == k)
            {
                pos=i;
                break;
            }
        }
        cout << arr[pos+1];
    }
}